///////////////////////////////////////////////////
//	Declare the Video Motion Detection Dll Interface 
///////////////////////////////////////////////////
#ifndef _WNWIZARDDLL_H_
#define _WNWIZARDDLL_H_

#define WnWd_API __declspec(dllexport)

#ifdef __cplusplus
extern "C" {
#endif

  WnWd_API void WnWd_SetCurrentCard(WORD wHWCardNo); 
  WnWd_API WORD WnWd_GetCurrentCard(); 

  WnWd_API void WnWd_CreateHWDrv(CWnd* pWnd ,
	                             WORD  wHWCardNo ,
							     BYTE* lpImage,
								 BITMAPINFO* lpDIBHdr );
  WnWd_API void WnWd_StartHWDrv();
  WnWd_API void WnWd_SuspendHWDrv();
  WnWd_API void WnWd_KillHWDrv() ;

  WnWd_API BOOL WnWd_SaveBMP(char *FileName);
  
  WnWd_API void WnWd_SetCmpStepXY( WORD wStepX ,WORD wStepY );
  WnWd_API void WnWd_SetCmpStepYUV(BYTE cStepY ,BYTE cStepU,BYTE cStepV );
  WnWd_API void WnWd_SetCmpPercent( double dPercent );

  WnWd_API void WnWd_IsSave(BOOL bIsSave) ;
  WnWd_API void WnWd_IsWarn(BOOL bIsWarn) ;

  WnWd_API void WnWd_IsSetting();

  #ifdef __cplusplus
  }
  #endif
  

#endif /*_WNWIZARDDLL_H_*/

 
